### Method

# Gtk Scale set_digits

#### Declaration [src]

    void
    gtk_scale_set_digits (
      GtkScale* scale,
      int digits
    )

#### Description [src]

Sets the number of decimal places that are displayed in the value.

Also causes the value of the adjustment to be rounded to this number of digits, so the retrieved value matches the displayed one, if `GtkScale:draw-value` is `TRUE` when the value changes. If you want to enforce rounding the value when `GtkScale:draw-value` is `FALSE`, you can set `GtkRange:round-digits` instead.

Note that rounding to a small number of digits can interfere with the smooth autoscrolling that is built into `GtkScale`. As an alternative, you can use gtk_scale_set_format_value_func() to format the displayed value yourself.

Sets property | `Gtk.Scale:digits`

#### Parameters

`digits` | `int`
| The number of decimal places to display, e.g. use 1 to display 1.0, 2 to display 1.00, etc.